> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a record from a list

> Removes a record from a list without deleting the record itself



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/lists/{id}/records/{record_id}
openapi: 3.0.0
info:
  description: >-
    REST API for accessing and managing your Nex data. Generate API keys from
    the Nex web UI and use them to authenticate requests.
  title: Nex Developer API
  contact: {}
  version: '1.0'
servers:
  - url: https://app.nex.ai/api/developers
security: []
paths:
  /v1/lists/{id}/records/{record_id}:
    delete:
      tags:
        - Lists
      summary: Remove a record from a list
      description: Removes a record from a list without deleting the record itself
      operationId: removeRecordFromList
      parameters:
        - description: List ID
          name: id
          in: path
          required: true
          schema:
            type: integer
        - description: Record ID
          name: record_id
          in: path
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Record removed from list
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '401':
          description: Unauthorized - Invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '404':
          description: List or record not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/httpx.APIError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    httpx.APIError:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: 'API key for authentication (format: "Bearer YOUR_API_KEY")'
      type: apiKey
      name: Authorization
      in: header

````